<?php
/**
 * @package WordPress
 * @subpackage multi-color
 */
?>
<div id="footer">
    <?php if ( is_active_sidebar( 'footer-widget-area-1' ) and is_active_sidebar( 'footer-widget-area-2' ) ) {
        $footer_widget_area_style = ' style="width:30%;"';
    } else if( is_active_sidebar( 'footer-widget-area-1' ) xor is_active_sidebar( 'footer-widget-area-2' ) ) {
        $footer_widget_area_style = ' style="width:63%;"';
    }
    ?>
    <?php if ( is_active_sidebar( 'footer-widget-area-1' ) ) : ?>
    <div class="footer_widget_area" id="footer_widget_area_1"<?php echo $footer_widget_area_style; ?>>
        <ul class="sidebar_ul">
            <?php dynamic_sidebar( 'footer-widget-area-1' ); ?>
        </ul>
    </div>
    <?php endif; ?>
    
    <?php if ( is_active_sidebar( 'footer-widget-area-2' ) ) : ?>
    <div class="footer_widget_area" id="footer_widget_area_2"<?php echo $footer_widget_area_style; ?>>
        <ul class="sidebar_ul">
            <?php dynamic_sidebar( 'footer-widget-area-2' ); ?>
        </ul>
    </div>
    <?php endif; ?>
    
    <div class="footer_widget_area" id="footer_widget_area_3" style="width:30%;">
        <ul class="sidebar_ul">
        <?php if ( is_active_sidebar( 'footer-widget-area-3' ) ) : ?>        
            <?php dynamic_sidebar( 'footer-widget-area-3' ); ?>        
        <?php endif; ?>
            <li class="widget-container" id="ending_footer">
                <p class="copyright">&copy; <?php _e('Copyright','multi-color'); ?> <?php bloginfo('name'); ?>. <?php _e('All rights reserved','multi-color'); ?></p>
                <p class="promote" style="margin-top:10px;"><?php _e('Theme designed by','multi-color'); ?> <a href="http://www.nischalmaniar.info"><?php _e('Nischal Maniar'); ?></a></p>
            </li>
        </ul>
    </div>
    <div class="clear"></div>
</div> <!-- end of footer -->
</div> <!-- end of wrapper -->
<?php wp_footer(); ?>
</body>
</html>