<?php
/**
 * @package WordPress
 * @subpackage multi-color
 */
?>
<?php $widthsarr = calculate_layout_width(); ?>
<?php if(SHOW_SIDEBAR) {
    $sidebar_style = ' style="width:'.$widthsarr['sidebarwidth'].'px;"';
} else {
    $sidebar_style = ' style="width:'.$widthsarr['sidebarwidth'].'px;display:none;"';
}
$containerwidth = $widthsarr['containerwidth'];
?>
<?php if(COLOR_SCHEME == "dark") { $bgcolor = "#111"; } else { $bgcolor = "#eee"; } ?>
<?php
    $tab1class = ""; $tab2class = ""; $tab3class = ""; $firsthide = ""; $secondhide = ""; $thirdhide = "";
    if(is_active_sidebar('tabbed-content-area-1')) { $tab1style = ' style="display:block;"'; } else { $tab1style = ' style="display:none;"'; }
    if(is_active_sidebar('tabbed-content-area-2')) { $tab2style = ' style="display:block;"'; } else { $tab2style = ' style="display:none;"'; }
    if(is_active_sidebar('tabbed-content-area-3')) { $tab3style = ' style="display:block;"'; } else { $tab3style = ' style="display:none;"'; }
    if(is_active_sidebar('tabbed-content-area-1')) { $tab1class = "current"; }
    if(is_active_sidebar('tabbed-content-area-2') and $tab1class == "") { $tab2class = "current"; }
    if(is_active_sidebar('tabbed-content-area-3') and $tab1class == "" and $tab2class == "") { $tab3class = "current"; }
    if(is_active_sidebar('tabbed-content-area-1')) { $firsthide = ' style="display:block;"'; }
    if(is_active_sidebar('tabbed-content-area-2') and $firsthide == "") { $secondhide = ' style="display:block;"'; }
    if(is_active_sidebar('tabbed-content-area-3') and $firsthide == "" and $secondhide == "") { $thirdhide = ' style="display:block;"'; }
?>
<div id="primary_sidebar"<?php echo $sidebar_style; ?> class="sidebar">
    <?php if((is_active_sidebar('tabbed-content-area-1') or is_active_sidebar('tabbed-content-area-2') or is_active_sidebar('tabbed-content-area-3')) and TAB_COUNT > 0) { ?>    
        <a class="tab <?php echo $tab1class; ?>" id="tab1" onclick="showtab1('<?php echo $bgcolor; ?>','<?php echo $bordercolor; ?>')"<?php echo $tab1style; ?>><?php echo TAB1_TITLE; ?></a>
        <a class="tab <?php echo $tab2class; ?>" id="tab2" onclick="showtab2('<?php echo $bgcolor; ?>','<?php echo $bordercolor; ?>')"<?php echo $tab2style; ?>><?php echo TAB2_TITLE; ?></a>
        <a class="tab <?php echo $tab3class; ?>" id="tab3" onclick="showtab3('<?php echo $bgcolor; ?>','<?php echo $bordercolor; ?>')"<?php echo $tab3style; ?>><?php echo TAB3_TITLE; ?></a>
        <div class="clear"></div>    
        <?php if(is_active_sidebar('tabbed-content-area-1')) { ?>
        <ul id="tabbed_content_ul_1" class="sidebar_ul tabbed_content_ul"<?php echo $firsthide; ?>>
            <?php if ( ! dynamic_sidebar( 'tabbed-content-area-1' ) ) : ?>
            <?php endif; ?>
        </ul>
        <?php } ?>
        <?php if(is_active_sidebar('tabbed-content-area-2')) { ?>
        <ul id="tabbed_content_ul_2" class="sidebar_ul tabbed_content_ul"<?php echo $secondhide; ?>>
            <?php if ( ! dynamic_sidebar( 'tabbed-content-area-2' ) ) : ?>
            <?php endif; ?>
        </ul>
        <?php } ?>
        <?php if(is_active_sidebar('tabbed-content-area-3')) { ?>
        <ul id="tabbed_content_ul_3" class="sidebar_ul tabbed_content_ul"<?php echo $thirdhide; ?>>
            <?php if ( ! dynamic_sidebar( 'tabbed-content-area-3' ) ) : ?>
            <?php endif; ?>
        </ul>
        <?php } ?>
    <?php } ?>
    <ul class="sidebar_ul">
        <?php if ( ! dynamic_sidebar( 'primary-widget-area' ) ) : ?>
        <li id="widget-categories" class="widget">
            <h3 class="widget-title"><?php _e('Search','multi-color'); ?></h3>
            <ul><?php get_search_form(); ?></ul>
        </li>
        <li id="widget-categories" class="widget">
            <h3 class="widget-title"><?php _e('Categories','multi-color'); ?></h3>
            <ul><?php wp_list_categories('title_li='); ?></ul>
        </li>
        <li id="widget-categories" class="widget">
            <h3 class="widget-title"><?php _e('Archives','multi-color'); ?></h3>
            <ul><?php wp_get_archives('type=monthly'); ?></ul>
        </li>
        <li id="widget-categories" class="widget">
            <h3 class="widget-title"><?php _e('Recent Posts','multi-color'); ?></h3>
            <ul><?php wp_get_archives('type=postbypost&limit=6'); ?></ul>
        </li>
        <?php endif; ?>
    </ul>
</div>
